View Issue Details

IDProjectCategoryView StatusLast Update
0002184Far ManagerEditorpublic2013-04-22 13:18
ReporterDVallAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002184: Некорректно работает UNDO во внутреннем редакторе.
DescriptionНабираем предложение, если клавишами DEL или Backspace убрать слово внутри предложения то по Alt-BS возвращается убранное слово.
Если-же это слово первое в предложении(или пару первых символов) то по Alt-BS не слово возвращается(или символы), а удаляется всё введённое предложение.
И со вторым словом такое бывает.
TagsNo tags attached.
Build3338

Activities

SUSim

2012-11-03 09:54

reporter   bugnote:0009698

У меня не воспроизводится 3.0 build 2919 x86 и 3.0 build 2924 x86 всё это XP
а по CtrlZ у вас тоже самое? макросов на эти кнопки нет?

2useven10

2012-11-03 10:43

developer   bugnote:0009699

Last edited: 2012-11-03 14:47

View 2 revisions

не иначе как ИИ, сначала в пустой строке:
abc def ghi<Home>
потом1:
<Del><AltBS> -- пропала вся строка
потом2:
<Right><Del><AltBS> -- пропала вся строка
потом3:
<Right><Right><Del><AltBS> -- восстановился удаленный символ 'c'

SUSim

2012-11-03 16:04

reporter   bugnote:0009700

Такое есть! подтверждаю! повторяется!
XP 3.0 build 2924 x86

macro:post Keys("ShiftF4 Enter 1 2 Home Del CtrlZ")

получаем пустой файл вместо файла содержащего "12"

SUSim

2012-12-03 22:46

reporter   bugnote:0009797

Microsoft Windows XP [Версия 5.1.2600]
Far 3.0 build 2988 x86
всё еще не поправилось... или пока строку не закончили undo считает, что это одна операция? но как-то это...

DVall

2013-03-14 17:25

reporter   bugnote:0010519

Напомним....

2useven10

2013-04-16 16:58

developer   bugnote:0010799

3338

Issue History

Date Modified Username Field Change
2012-11-01 14:09 DVall New Issue
2012-11-02 09:22 2useven10 Project Wishes => Far Manager
2012-11-03 09:54 SUSim Note Added: 0009698
2012-11-03 10:43 2useven10 Note Added: 0009699
2012-11-03 14:47 2useven10 Note Edited: 0009699 View Revisions
2012-11-03 16:04 SUSim Note Added: 0009700
2012-12-03 22:46 SUSim Note Added: 0009797
2013-03-14 17:25 DVall Note Added: 0010519
2013-04-16 16:58 2useven10 Note Added: 0010799
2013-04-16 16:58 2useven10 Assigned To => 2useven10
2013-04-16 16:58 2useven10 Status new => feedback
2013-04-22 13:18 2useven10 Build => 3338
2013-04-22 13:18 2useven10 Status feedback => closed
2013-04-22 13:18 2useven10 Resolution open => fixed
2013-04-22 13:18 2useven10 Fixed in Version => 3.0